Subject: Re: [TCP] Show all SYN_RECV sockets in /proc/net/tcp

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Tue, 05 Oct 2004 23:17:33 -0300

Herbert Xu wrote:
> Hi Dave:
> 
> I was fixing the tcp_diag so that it shows SYN_RECV sockets properly.
> I found that /proc/net/tcp didn't do it correctly either.  So here is
> a small patch to fix /proc/net/tcp.
> 
> The logic in there stinks though so I'd love to see a rewrite.

Go ahead and do it with the current seq_file infrastructure 8) Standard
answer for these cases is remove /proc/net/tcp altogether and convert
the userland tools to use netlink instead.

- Arnaldo